package com.gic.haoban.manage.api.qdto.combined;

import java.io.Serializable;

public class CombinedQDTO implements Serializable {
    private static final long serialVersionUID = -28454620622119889L;

    /**
     * 主图url
     */
    private String imageUrl;
    /**
     * 小程序码url
     */
    private String qrCodeUrl;
    /**
     * 展示样式
     */
    private Integer showStyle;
    /**
     * 第一行文字
     */
    private String lineOne;
    /**
     * 第二行文字
     */
    private String lineTwo;

    /**
     * 1群发 2朋友圈
     */
    private Integer mediaType;

    /**
     * 导购id（作标识）
     */
    private String clerkId;

    /**
     * 业务id（作标识）
     */
    private String businessId;

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public Integer getShowStyle() {
        return showStyle;
    }

    public void setShowStyle(Integer showStyle) {
        this.showStyle = showStyle;
    }

    public String getLineOne() {
        return lineOne;
    }

    public void setLineOne(String lineOne) {
        this.lineOne = lineOne;
    }

    public String getLineTwo() {
        return lineTwo;
    }

    public void setLineTwo(String lineTwo) {
        this.lineTwo = lineTwo;
    }

    public Integer getMediaType() {
        return mediaType;
    }

    public void setMediaType(Integer mediaType) {
        this.mediaType = mediaType;
    }

    public String getUnionString() {
        return this.getImageUrl() + this.getQrCodeUrl() + this.getShowStyle() + this.getLineOne() + this.getLineTwo() + this.getMediaType();
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }
}

